Bug 1009879 - [abrt] dsniff-2.4-0.14.b1.fc18: ___vsnprintf_chk: Process /usr/sbin/arpspoof was killed by signal 11 (SIGSEGV)
[abrt] dsniff-2.4-0.14.b1.fc18: ___vsnprintf_chk: Process /usr/sbin/arpspoof ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dsniff (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Robert Scheck
Fedora Extras Quality Assurance
abrt_hash:eb34aea6ea8c1ad29f2122c571d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-19 08:07 EDT by raflexras
Modified: 2014-01-04 17:46 EST (History)
2 users (show)

See Also:
Fixed In Version: dsniff-2.4-0.17.b1.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-22 00:30:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (8.54 KB, text/plain)
2013-09-19 08:07 EDT, raflexras
no flags Details
File: cgroup (132 bytes, text/plain)
2013-09-19 08:07 EDT, raflexras
no flags Details
File: core_backtrace (1.37 KB, text/plain)
2013-09-19 08:07 EDT, raflexras
no flags Details
File: dso_list (828 bytes, text/plain)
2013-09-19 08:07 EDT, raflexras
no flags Details
File: environ (2.79 KB, text/plain)
2013-09-19 08:07 EDT, raflexras
no flags Details
File: exploitable (82 bytes, text/plain)
2013-09-19 08:07 EDT, raflexras
no flags Details
File: limits (1.29 KB, text/plain)
2013-09-19 08:07 EDT, raflexras
no flags Details
File: maps (4.42 KB, text/plain)
2013-09-19 08:07 EDT, raflexras
no flags Details
File: open_fds (105 bytes, text/plain)
2013-09-19 08:08 EDT, raflexras
no flags Details
File: proc_pid_status (897 bytes, text/plain)
2013-09-19 08:08 EDT, raflexras
no flags Details
File: var_log_messages (304 bytes, text/plain)
2013-09-19 08:08 EDT, raflexras
no flags Details

  None (edit)
Description raflexras 2013-09-19 08:07:33 EDT
Description of problem:
While working with iptables.

Version-Release number of selected component:
dsniff-2.4-0.14.b1.fc18

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        arpspoof -i wlan0 -t 192.168.2. 24 192.168.2.21
crash_function: ___vsnprintf_chk
executable:     /usr/sbin/arpspoof
kernel:         3.10.11-100.fc18.x86_64
runlevel:       N 5
uid:            0

Truncated backtrace:
Thread no. 1 (4 frames)
 #0 ___vsnprintf_chk at vsnprintf_chk.c:55
 #1 ___snprintf_chk at snprintf_chk.c:35
 #2 snprintf at /usr/include/bits/stdio2.h:64
 #3 libnet_name2addr4 at libnet_resolve.c:136
Comment 1 raflexras 2013-09-19 08:07:36 EDT
Created attachment 799892 [details]
File: backtrace
Comment 2 raflexras 2013-09-19 08:07:39 EDT
Created attachment 799893 [details]
File: cgroup
Comment 3 raflexras 2013-09-19 08:07:42 EDT
Created attachment 799894 [details]
File: core_backtrace
Comment 4 raflexras 2013-09-19 08:07:47 EDT
Created attachment 799895 [details]
File: dso_list
Comment 5 raflexras 2013-09-19 08:07:50 EDT
Created attachment 799896 [details]
File: environ
Comment 6 raflexras 2013-09-19 08:07:53 EDT
Created attachment 799897 [details]
File: exploitable
Comment 7 raflexras 2013-09-19 08:07:57 EDT
Created attachment 799898 [details]
File: limits
Comment 8 raflexras 2013-09-19 08:07:59 EDT
Created attachment 799899 [details]
File: maps
Comment 9 raflexras 2013-09-19 08:08:03 EDT
Created attachment 799900 [details]
File: open_fds
Comment 10 raflexras 2013-09-19 08:08:06 EDT
Created attachment 799901 [details]
File: proc_pid_status
Comment 11 raflexras 2013-09-19 08:08:12 EDT
Created attachment 799902 [details]
File: var_log_messages
Comment 12 Robert Scheck 2013-12-19 17:57:26 EST
Even I am able to reproduce this issue, I am likely unable to fix it. The
cause is IMHO libnet_name2addr4() from libnet when a non-resolvable string
is passed. I also do not know if this is a libnet issue or a dsniff one.
Comment 13 Robert Scheck 2013-12-19 19:23:28 EST
If I am not mistaken, this issue is introduced by dsniff-2.4-libnet_11.patch;
libnet_name_resolve() was replaced by libnet_name2addr4() while there must be
the structure libnet_t passed now additionally. And if that structure is not 
initialized using libnet_init() and the passed name can not be resolved (like 
"192.168.2."), it causes a snprintf() to NULL.

The fix is to rewrite some more code than the API patch does...while one must
afterwards ensure that the stuff is still working. It also feels a bit like a
chicken-egg issue as of circular dependencies in the source code. Finally that
likely affects arpspoof(1), macof(1), sshmitm(1), webmitm(1) and webspy(1). If
I am able to fix that I also need help with proper testing.
Comment 14 Fedora Update System 2013-12-20 17:17:29 EST
dsniff-2.4-0.17.b1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/dsniff-2.4-0.17.b1.fc20
Comment 15 Fedora Update System 2013-12-20 17:18:21 EST
dsniff-2.4-0.17.b1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/dsniff-2.4-0.17.b1.fc19
Comment 16 Fedora Update System 2013-12-20 17:19:10 EST
dsniff-2.4-0.17.b1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/dsniff-2.4-0.17.b1.fc18
Comment 17 Fedora Update System 2013-12-20 17:20:10 EST
dsniff-2.4-0.17.b1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/dsniff-2.4-0.17.b1.el6
Comment 18 Fedora Update System 2013-12-20 17:21:00 EST
dsniff-2.4-0.17.b1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/dsniff-2.4-0.17.b1.el5
Comment 19 Fedora End Of Life 2013-12-21 09:36:20 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 20 Fedora Update System 2013-12-21 13:49:22 EST
Package dsniff-2.4-0.17.b1.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing dsniff-2.4-0.17.b1.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-12442/dsniff-2.4-0.17.b1.el5
then log in and leave karma (feedback).
Comment 21 Fedora Update System 2013-12-22 00:30:08 EST
dsniff-2.4-0.17.b1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 22 Fedora Update System 2013-12-22 00:32:34 EST
dsniff-2.4-0.17.b1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 23 Fedora Update System 2013-12-22 00:41:47 EST
dsniff-2.4-0.17.b1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 24 Fedora Update System 2013-12-22 12:34:51 EST
dsniff-2.4-0.17.b1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 25 Fedora Update System 2014-01-04 17:46:16 EST
dsniff-2.4-0.17.b1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.